Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.animatepanel
Class JAnimateTab

    java.lang.Object
      |
      +--com.smardec.asc.animatepanel.JAnimateTab

All Implemented Interfaces:
  java.lang.Cloneable

public class JAnimateTab
extends java.lang.Object
implements java.lang.Cloneable

A tab that used by `JAnimatePanel` to show user defined component.

Constructor Summary
`JAnimateTab(java.lang.String text, javax.swing.Icon icon)` Creates tab with with initial header text and icon.
`JAnimateTab(java.lang.String text, javax.swing.Icon icon, java.awt.Component component)` Creates tab with with initial header text, icon and user defined component.

Method Summary
`void` | `addComponent(java.awt.Component component)` Adds user defined component which will be displayed on this tab.
`JAnimatePanel` | `getAnimatePanel()` Returns the parent `JAnimatePanel` of this tab.
`java.awt.Component` | `getComponent()` Returns user defined component which is displayed on this tab.
`javax.swing.Icon` | `getIcon()` Returns tab header's icon.
`java.lang.String` | `getText()` Returns tab header's text.
`boolean` | `isSelected()` Returns the state of the `JAnimateTab`.
`void` | `removeComponent()` Removes user defined component from this `JAnimateTab`.
`void` | `setIcon(javax.swing.Icon icon)` Specifies tab header's icon.
`void` | `setSelected(boolean selected)` Specifies the state of the `JAnimateTab`.
`void` | `setText(java.lang.String text)` Specifies tab header's text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAnimateTab

    public JAnimateTab(java.lang.String text,
                       javax.swing.Icon icon,
                       java.awt.Component component)

  Creates tab with with initial header text, icon and user defined component.

Parameters:
  `text` - the text of the tab header
  `icon` - the Icon image to display on the tab header
  `component` - user defined component which will be displayed on this tab

### JAnimateTab

    public JAnimateTab(java.lang.String text,
                       javax.swing.Icon icon)

  Creates tab with with initial header text and icon.

Parameters:
  `text` - the text of the tab header
  `icon` - the Icon image to display on the tab header

Method Detail

### getText

    public java.lang.String getText()

  Returns tab header's text.

  Returns:
    tab header's text.
  See Also:
    `setText(String)`

### setText

    public void setText(java.lang.String text)

  Specifies tab header's text.

  Parameters:
    `text` - tab header's text.
  See Also:
    `getText()`

### getIcon

    public javax.swing.Icon getIcon()

  Returns tab header's icon.

  Returns:
    tab header's icon.
  See Also:
    `setIcon(javax.swing.Icon)`

### setIcon

    public void setIcon(javax.swing.Icon icon)

  Specifies tab header's icon.

  Parameters:
    `icon` - tab header's icon.
  See Also:
    `getIcon()`

### isSelected

    public boolean isSelected()

  Returns the state of the `JAnimateTab`. True if the `JAnimateTab` is selected, false if it's not

  Returns:
    `true` if this `JAnimateTab` is selected, `false` otherwise

### setSelected

    public void setSelected(boolean selected)

  Specifies the state of the `JAnimateTab`. Note that this method does not trigger an event. Invoke `JAnimatePanel.showTab(int)` or `JAnimatePanel.hideTab(int)` to perform a programmatic state change.

  Parameters:
    `selected` - `true` if this `JAnimateTab` is selected, `false` otherwise

### getAnimatePanel

    public JAnimatePanel getAnimatePanel()

  Returns the parent `JAnimatePanel` of this tab.

  Returns:
    the parent `JAnimatePanel` of this tab.

### getComponent

    public java.awt.Component getComponent()

  Returns user defined component which is displayed on this tab.

  Returns:
    user defined component which is displayed on this tab.

### addComponent

    public void addComponent(java.awt.Component component)

  Adds user defined component which will be displayed on this tab.

  Parameters:
    `component` - the component to be added

### removeComponent

    public void removeComponent()

  Removes user defined component from this `JAnimateTab`.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.